function setupUnifyEnv({ DISCOVER_API, INTERNAL_DISCOVER_API, TOGETHER_API, INTERNAL_TOGETHER_API, CARE_API, INTERNAL_CARE_API, SIDIS_TEMPLATE_API, SIDIS_API, SIDIS_API_GET, SSO_API, LOCALE, DEPLOY_ENV, LEAD_API, SUBOT_API, INTERNAL_SUBOT_API, SUBOT_URL, PREMIUM_URL, VACCINATION_TOOL_API, LOGGING_ENABLED, }) {
    if (DISCOVER_API)
        process.env.UNIFY_DISCOVER_API = DISCOVER_API;
    if (INTERNAL_DISCOVER_API)
        process.env.UNIFY_INTERNAL_DISCOVER_API = INTERNAL_DISCOVER_API;
    if (TOGETHER_API)
        process.env.UNIFY_TOGETHER_API = TOGETHER_API;
    if (INTERNAL_TOGETHER_API)
        process.env.UNIFY_INTERNAL_TOGETHER_API = INTERNAL_TOGETHER_API;
    if (CARE_API)
        process.env.UNIFY_CARE_API = CARE_API;
    if (INTERNAL_CARE_API)
        process.env.UNIFY_INTERNAL_CARE_API = INTERNAL_CARE_API;
    if (SIDIS_TEMPLATE_API)
        process.env.UNIFY_SIDIS_TEMPLATE_API = SIDIS_TEMPLATE_API;
    if (SIDIS_API)
        process.env.UNIFY_SIDIS_API = SIDIS_API;
    if (SIDIS_API_GET)
        process.env.UNIFY_SIDIS_API_GET = SIDIS_API_GET;
    if (SSO_API)
        process.env.UNIFY_SSO_API = SSO_API;
    if (LOCALE)
        process.env.UNIFY_LOCALE = LOCALE;
    if (DEPLOY_ENV)
        process.env.UNIFY_DEPLOY_ENV = DEPLOY_ENV;
    if (LEAD_API)
        process.env.UNIFY_LEAD_API = LEAD_API;
    if (SUBOT_API)
        process.env.UNIFY_SUBOT_API = SUBOT_API;
    if (INTERNAL_SUBOT_API)
        process.env.UNIFY_INTERNAL_SUBOT_API = INTERNAL_SUBOT_API;
    if (SUBOT_URL)
        process.env.UNIFY_SUBOT_URL = SUBOT_URL;
    if (PREMIUM_URL)
        process.env.UNIFY_PREMIUM_URL = PREMIUM_URL;
    if (VACCINATION_TOOL_API)
        process.env.UNIFY_VACCINATION_TOOL_API = VACCINATION_TOOL_API;
    if (String(LOGGING_ENABLED))
        process.env.UNIFY_LOGGING_ENABLED = String(LOGGING_ENABLED);
}

export { setupUnifyEnv };
